Skip to main content
GET
https://api.aisa.one/apis/v1
/
dataforseo
/
serp
/
google
/
ai_mode
/
task_get
/
html
/
{id}
Get Google Ai Mode HTML Results by id
curl --request GET \
  --url https://api.aisa.one/apis/v1/dataforseo/serp/google/ai_mode/task_get/html/{id} \
  --header 'Authorization: Bearer <token>'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks[].id": "<string>",
  "tasks[].status_code": 123,
  "tasks[].status_message": "<string>",
  "tasks[].time": "<string>",
  "tasks[].cost": 123,
  "tasks[].result_count": 123,
  "tasks[].path": [
    "<string>"
  ],
  "tasks[].data": {},
  "tasks[].result": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Task identifier in UUID format

Response

Successful response

version
string

The current version of the API

status_code
integer

General status code

status_message
string

General informational message

time
string

Execution time, seconds

cost
number

Total tasks cost, USD

tasks_count
integer

The number of tasks in the tasks array

tasks_error
integer

The number of tasks in the tasks array returned with an error

tasks
string[]

Array of tasks

tasks[].id
string

Task identifier

tasks[].status_code
integer

Task status code

tasks[].status_message
string

Task status message

tasks[].time
string

Execution time, seconds

tasks[].cost
number

Cost of the task, USD

tasks[].result_count
integer

Number of elements in the result array

tasks[].path
string[]

URL path

tasks[].data
object

Contains the same parameters specified in the POST request

tasks[].result
string[]

Array of HTML results